package com.njcn.system.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.system.excel.UserLogExcel;
import com.njcn.system.pojo.param.AuditParam;
import com.njcn.system.pojo.po.UserLog;
import com.njcn.system.pojo.vo.AuditLogCusVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @version 1.0.0
 * @author: chenchao
 * @date: 2022/07/11 21:06
 */
public interface AuditMapper {
    /**
     * 获取审计日志列表
     */
    List<UserLog> selectAuditLog(@Param("auditParam") AuditParam auditParam);

    int getCount(@Param("auditParam") AuditParam auditParam);
    /**
     * 查询需要备份的审计日志
     */
    List<UserLogExcel> queryExportUser(@Param("ew") QueryWrapper<UserLogExcel> queryWrapper);

    Page<UserLogExcel> queryExportLimit(Page<UserLogExcel> page, @Param("startTime")String time,@Param("endTime")String endTime);
    /**
     * 获取审计日志统计列表
     */
    Page<AuditLogCusVO> selectCensusAuditLog(Page<AuditLogCusVO> page,@Param("auditParam") AuditParam auditParam);
    /**
     * 根据时间删除日志
     */
    void deleteByTime(@Param("ew") QueryWrapper<UserLog> queryWrapper);
    /**
     * 查询UserLog
     */
    List<UserLog> selectUserLog();
    /**
     * 查询所有操作类型
     */
//    List<String> selectOperateType();

    /**
     * 时间范围查询id集合
     * @return
     */
    List<String> getListIDs(@Param("startTime") String startTime,
                            @Param("endTime") String endTime);
}
